VARKON Version 1.15 1997-10-24

> ## inv_on - Function

> Geometrical function
> Description
> Returns the parameter value of a position on a line, arc or curve.
> Syntax
> inv_on(ref, p, alt)

> REF | ref;
> VECTOR | p;
> INT | alt;

> Principal parameters

> ref | - Identity of line, arc or curve
> p | - Position

> Optional parameters

> alt | - Alternative, default = 1

> Return value
> A FLOAT value equal to the parameter value of the specified position.
> Example
> inv_on(#5,vec(100,100))
> The parameter value for which the position of #5 is equal to X=Y=100.
> Comments
> If p is not exactly on the referenced entity a position on the entity is calculated by enumerating all positions on the entity with a normal passing through p and selecting the solution specified by alt.

VARKON Homepage | Index